package com.engine.jclproduct.entity.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author liang.cheng
 * @Date 2024/10/22 4:22 PM
 * @Description: TODO
 * @Version 1.0
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EmploymentRecordPo {

    private Integer id;

    private Integer userId;

    private String workcode;

    private Integer employeeStatus;

    private Integer changType;

    private String startDate;

    private String stopDate;

    private Integer departmentId;

    private Integer subCompanyId;

    private Integer superior;

    private Integer position;

    private Integer changeOldSuperior;

    private Integer changeNewSuperior;

    private Integer changeOldJob;

    private Integer changeNewJob;

    private Integer changeOldDept;

    private Integer changeNewDept;

    private String companyStartDate;

    private String workyear;

    private Integer entryDateYear;

    private Integer entryDateMonth;

    private Integer entryDateDay;

    private String expectedLastWorkDate;

    private String lastWorkDate;

    private String probationStartDate;

    private String probationActualStopDate;

    private String regularizationDate;

    private Integer sex;

    private String birthday;


    /**
     * 建模默认字段
     */
    private Integer formModeId;
    private String modeDataCreateDate;
    private String modeDataCreateTime;
    private Integer modeDataCreater;

}
