package com.engine.jclproduct.service;

import java.util.Map;

/**
 * @Author liang.cheng
 * @Date 2024/10/22 4:23 PM
 * @Description: TODO
 * @Version 1.0
 */
public interface EmploymentRecordService {

    /**
     * @Description: 初始化人员任职记录表 当前在职人员数据（只初始化一次）
     * @Author: liang.cheng
     * @Date: 2024/10/22 4:36 PM
     * @param: []
     * @return: java.util.Map<java.lang.String,java.lang.Object>
     */
    Map<String,Object> initPerson();

    /**
     * @Description: 初始化组织变动表 人员资源分部（部门）中间表 （只初始化一次）
     * @Author: liang.cheng
     * @Date: 2024/11/7 2:24 PM
     * @param: []
     * @return: java.lang.Object
     */
    Map<String,Object> initOrganization();
}
