package com.engine.wysecond.util;

import weaver.conn.RecordSet;
import weaver.general.Util;

/**
 * @Author liang.cheng
 * @Date 2025/4/8 13:47
 * @Description: 字段值转换
 * @Version 1.0
 */
public class FieldTransUtils {


    public static String selectHrmItem(String fieldName,Integer selectValue,String language) {
        RecordSet rs = new RecordSet();

        rs.executeQuery("select selectname from hrm_selectitem where fieldid = (select fieldid from hrm_formfield where fieldname = '"+fieldName+"') and selectvalue = ?",selectValue);
        rs.next();
        return Util.formatMultiLang(Util.null2String(rs.getString("selectname")),language);
    }

    public static String selectItemValue(String field, Integer selectValue,String language) {
        RecordSet rs = new RecordSet();
        rs.executeQuery("select selectname from cus_selectitem where fieldid = ? and selectvalue = ?",field,selectValue);
        rs.next();
        return Util.formatMultiLang(Util.null2String(rs.getString("selectname")),language);
    }

    public static String selectNationName(String value) {
        RecordSet rs = new RecordSet();
        rs.executeQuery("select mz from uf_mz_ where id = ?",value);
        rs.next();
        return Util.null2String(rs.getString("mz"));
    }


    public static String selectPostionType(String value) {
        RecordSet rs = new RecordSet();
        rs.executeQuery("select ywzwxl from uf_ywzwxl where id = ?",value);
        rs.next();
        return Util.null2String(rs.getString("ywzwxl"));
    }

    public static String selectPostion(String value) {
        RecordSet rs = new RecordSet();
        rs.executeQuery("select ywzwcj from uf_ywzwcj where id = ?",value);
        rs.next();
        return Util.null2String(rs.getString("ywzwcj"));
    }



}
