package com.engine.wysecond.web;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.engine.common.util.ServiceUtil;
import com.engine.wysecond.service.ResourceCardService;
import com.engine.wysecond.service.impl.ResourceCardServiceImpl;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.HashMap;
import java.util.Map;

/**
 * @Author liang.cheng
 * @Date 2025/3/6 11:33
 * @Description: TODO
 * @Version 1.0
 */
public class ResourceCardAction  {

    private ResourceCardService getService(User user) {
        return  ServiceUtil.getService(ResourceCardServiceImpl.class, user);
    }

    @GET
    @Path("/modeExport")
    @Produces(MediaType.TEXT_PLAIN)
    public String modeExport(@Context HttpServletRequest request, @Context HttpServletResponse response){
        Map<String, Object> data = new HashMap<>(8);
        try {
            User user = HrmUserVarify.getUser(request, response);
            getService(user).modeExport();
            data.put("api_status", true);
        } catch (Exception e) {
            data.put("api_status", false);
            data.put("msg", "catch exception : " + e.getMessage());
        }
        return JSONObject.toJSONString(data, SerializerFeature.DisableCircularReferenceDetect);
    }
}
