package com.engine.wysecond.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.LinkedList;

/**
 * @Author liang.cheng
 * @Date 2025/2/27 10:36
 * @Description: 数据集
 * @Version 1.0
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PostionMatrixVo {

    private LinkedList<Postion> tops;

    private LinkedList<PostionPeople> centers;

    private LinkedList<PeopleSums> footers;

}
